Index: trunk/MagicSoft/Mars/mjobs/MJCut.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCut.cc	(revision 8680)
+++ trunk/MagicSoft/Mars/mjobs/MJCut.cc	(revision 8695)
@@ -62,5 +62,5 @@
 
 // Filter
-//#include "MFDataMember.h"
+#include "MFDataPhrase.h"
 
 // Fit signal environment
@@ -665,4 +665,8 @@
     cont3.SetAllowEmpty();
 
+    // Filter for VsSize
+    MFDataPhrase ftheta("", "CutT");
+    ftheta.SetAllowEmpty();
+
     // ------------- Loop Off Data --------------------
     MReadReports readoffdata;
@@ -712,4 +716,5 @@
     MFillH fill2a("MHHillasOffPost [MHHillas]",      "MHillas",      "FillHillasPost");
     MFillH fill3a("MHVsSizeOffPost [MHVsSize]",      "MHillasSrc",   "FillVsSizePost");
+    MFillH fill3c("MHVsSizeOffTheta [MHVsSize]",     "MHillasSrc",   "FillVsSizeTheta");
     MFillH fill4a("MHHilExtOffPost [MHHillasExt]",   "MHillasSrc",   "FillHilExtPost");
     MFillH fill5a("MHHilSrcOffPost [MHHillasSrc]",   "MHillasSrc",   "FillHilSrcPost");
@@ -720,4 +725,5 @@
     fill2a.SetNameTab("PostCut");
     fill3a.SetNameTab("VsSize");
+    fill3c.SetNameTab("CutT");
     fill4a.SetNameTab("HilExt");
     fill5a.SetNameTab("HilSrc");
@@ -726,4 +732,6 @@
     //fill9a.SetNameTab("EffOffT");
 
+    fill3c.SetFilter(&ftheta);
+
     //MFDataMember fbin("Bin.fVal", '>', 0);
     //fill9a.SetFilter(&fbin);
@@ -738,4 +746,5 @@
         fill2a.SetWeight(&scale);
         fill3a.SetWeight(&scale);
+        fill3c.SetWeight(&scale);
         fill4a.SetWeight(&scale);
         fill5a.SetWeight(&scale);
@@ -797,5 +806,7 @@
         if (fFullDisplay)
         {
+            tlist2.AddToList(&ftheta);
             tlist2.AddToList(&fill3a);
+            tlist2.AddToList(&fill3c);
             tlist2.AddToList(&fill4a);
             tlist2.AddToList(&fill5a);
@@ -905,4 +916,5 @@
     MFillH fill2b("MHHillasOnPost [MHHillas]",      "MHillas",      "FillHillasPost");
     MFillH fill3b("MHVsSizeOnPost [MHVsSize]",      "MHillasSrc",   "FillVsSizePost");
+    MFillH fill3d("MHVsSizeOnTheta [MHVsSize]",     "MHillasSrc",   "FillVsSizeTheta");
     MFillH fill4b("MHHilExtOnPost [MHHillasExt]",   "MHillasSrc",   "FillHilExtPost");
     MFillH fill5b("MHHilSrcOnPost [MHHillasSrc]",   "MHillasSrc",   "FillHilSrcPost");
@@ -913,4 +925,5 @@
     fill2b.SetNameTab("PostCut");
     fill3b.SetNameTab("VsSize");
+    fill3d.SetNameTab("CutT");
     fill4b.SetNameTab("HilExt");
     fill5b.SetNameTab("HilSrc");
@@ -921,4 +934,5 @@
     fill2b.SetDrawOption(set.HasOffSequences()||set.IsWobbleMode()?"same":"");
     fill3b.SetDrawOption(set.HasOffSequences()||set.IsWobbleMode()?"same":"");
+    fill3d.SetDrawOption(set.HasOffSequences()||set.IsWobbleMode()?"same":"");
     fill4b.SetDrawOption(set.HasOffSequences()||set.IsWobbleMode()?"same":"");
     fill5b.SetDrawOption(set.HasOffSequences()||set.IsWobbleMode()?"same":"");
@@ -926,4 +940,6 @@
     fill7b.SetDrawOption(set.HasOffSequences()||set.IsWobbleMode()?"same":"");
     //fill9b.SetFilter(&fbin);
+
+    fill3d.SetFilter(&ftheta);
 
     /*
@@ -985,15 +1001,10 @@
     {
         tlist.Replace(&fill1b);
-/*        if (fIsWobble)
-        {
-            tlist2.AddToListAfter(&fill2b, &fill2a);
-            tlist2.AddToListAfter(&fill3b, &fill3a);
-        }
-        else
-        */
+
         tlist2.Replace(&fill2b);
         if (fFullDisplay)
         {
             tlist2.Replace(&fill3b);
+            tlist2.Replace(&fill3d);
             tlist2.Replace(&fill4b);
             tlist2.Replace(&fill5b);
Index: trunk/MagicSoft/Mars/mjobs/MSequence.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MSequence.cc	(revision 8680)
+++ trunk/MagicSoft/Mars/mjobs/MSequence.cc	(revision 8695)
@@ -123,4 +123,7 @@
 //   + fMonteCarlo
 //
+//  Class Version 3:
+//   + fComment
+//
 /////////////////////////////////////////////////////////////////////////////
 #include "MSequence.h"
@@ -450,4 +453,5 @@
     fHvSettings   = env.GetValue("HvSettings", "");
     fMonteCarlo   = env.GetValue("MonteCarlo", kFALSE);
+    fComment      = env.GetValue("Comment",    "");
 
     str = env.GetValue("Runs", "");
@@ -544,4 +548,7 @@
     if (!fDataPath.IsNull())
         gLog << endl << "DataPath: " << fDataPath << endl;
+
+    gLog << endl << "Comment: " << fComment << endl;
+
 }
 
Index: trunk/MagicSoft/Mars/mjobs/MSequence.h
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MSequence.h	(revision 8680)
+++ trunk/MagicSoft/Mars/mjobs/MSequence.h	(revision 8695)
@@ -45,4 +45,5 @@
     TString fTriggerTable;
     TString fHvSettings;
+    TString fComment;
 
     TArrayI fRuns;
@@ -144,5 +145,5 @@
     static Bool_t InflatePath(TString &seq, Bool_t ismc=kFALSE);
 
-    ClassDef(MSequence, 2)
+    ClassDef(MSequence, 3)
 };
 
